%define debug_package %{nil}

Name:           disktype
Version:        9
Release:        30.1%{?dist}
Summary:        Detect the content format of a disk or disk image

Group:          Applications/File
License:        MIT
URL:            http://disktype.sourceforge.net/
Source0:        http://downloads.sourceforge.net/disktype/disktype-9.tar.gz
Patch0:		eju2014-disktype.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libewf-devel >= 20110903

%description
The purpose of disktype is to detect the content format of a disk or disk
image. It knows about common file systems, partition tables, and boot codes.

%prep
%setup -q
%patch0 -p1

%build
make %{?_smp_mflags} LIBEWF=1

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}
install -m 755 disktype %{buildroot}%{_bindir}
install -p -m 644 disktype.1 %{buildroot}%{_mandir}/man1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc HISTORY LICENSE TODO
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Wed May 27 2020 <euitto@gmail.com> - 9-30.1
* Release 9-30.1
	The release number was advanced to make it larger than the version currently provided by stock Fedora 32.

* Tue Jul 12 2016 <euitto@gmail.com> - 9-19.1
* Release 9-19.1
	The release number was advanced to make it larger than the version currently provided by stock Fedora.

* Thu Jan 29 2014 <euitto@gmail.com> - 9-15
* Release 9-15
	Readded libewf support, for newer versions of libewf
	Monolithic patch includes previous patch from David Loveall (ewf.c)
	Added support for btrfs, ext4, exfat, luks, f2fs - 9-14

* Fri Apr 12 2013 Lawrence R. Rogers <lrr@cert.org - 9-9.3
* Release 9-9.3
	Apparently a new build was released that did not increment the release number.

* Fri Feb 1 2013 SVRCFL <svrcfl.net>
- Named relative to Fedora releases

* Tue Sep 18 2012 SVRCFL <svrcfl.net>
- EJU patches for ext4, btrfs, exFAT 

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Apr 02 2010 Richard Fearn <richardfearn@gmail.com> - 9-6
- Bump for rebuild against libewf 20100226

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu May  1 2008 Richard Fearn <richardfearn@gmail.com> - 9-3
- update EWF patch so that it doesn't modify CFLAGS/LDFLAGS
- mention EWF in man page

* Fri Apr 25 2008 Richard Fearn <richardfearn@gmail.com> - 9-2
- build using $(RPM_OPT_FLAGS)
- install man page with -p to preserve timestamp
- add patch to support EWF images

* Sat Mar  8 2008 Richard Fearn <richardfearn@gmail.com> - 9-1
- initial package for Fedora

